{pkgs, ...}: let
in {
  imports = [
    <home-manager/nixos>
  ];

  home-manager.useGlobalPkgs = true;
  users.users.mrflos = {
    isNormalUser = true;
    description = "mrflos";
    createHome = true;
    extraGroups = [
      "users"
      "docker"
      "libvirtd"
      "lxd"
      "networkmanager"
      "wheel"
    ];
    uid = 1000;
    shell = pkgs.zsh;
  };

  nix.settings.trusted-users = ["mrflos"];
  home-manager.backupFileExtension = "backup";
  home-manager.users.mrflos = {
    imports = [./mrflos-home-manager.nix];
  };
}
